Package: groovy.swing

## [Groovy] Class LookAndFeelHelper

- groovy.swing.LookAndFeelHelper

-     class LookAndFeelHelper
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static LookAndFeelHelper` | `instance` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `addLookAndFeelAlias(String alias, String className)`
    `` | `String` | `addLookAndFeelAttributeHandler(String className, String attr, Closure handler)`
    `` | `static String` | `getAquaLAFName()`
    `` | `static LookAndFeelHelper` | `getInstance()`
    `` | `static String` | `getNimbusLAFName()`
    `` | `static String` | `getSubstanceLAFName()`
    `` | `boolean` | `isLeaf()`
    `` | `LookAndFeel` | `lookAndFeel(Object value, Map attributes, Closure initClosure)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected static LookAndFeelHelper instance

  - ### Method Detail

    - #### String addLookAndFeelAlias(String alias, String className)

    - #### String addLookAndFeelAttributeHandler(String className, String attr, Closure handler)

    - #### static String getAquaLAFName()

    - #### static LookAndFeelHelper getInstance()

    - #### static String getNimbusLAFName()

    - #### static String getSubstanceLAFName()

    - #### boolean isLeaf()

    - #### LookAndFeel lookAndFeel(Object value, Map attributes, Closure initClosure)